package cn.iocoder.yudao.module.pay.dal.mysql.wxrefund;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.pay.dal.dataobject.wxrefund.WxRefundDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.pay.controller.admin.wxrefund.vo.*;

/**
 * 微信退款 Mapper
 *
 * @author 管理员
 */
@Mapper
public interface WxRefundMapper extends BaseMapperX<WxRefundDO> {

    default PageResult<WxRefundDO> selectPage(WxRefundPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<WxRefundDO>()
                .eqIfPresent(WxRefundDO::getPayWxOrderId, reqVO.getPayWxOrderId())
                .eqIfPresent(WxRefundDO::getUserId, reqVO.getUserId())
                .eqIfPresent(WxRefundDO::getTotalPrice, reqVO.getTotalPrice())
                .eqIfPresent(WxRefundDO::getStatus, reqVO.getStatus())
                .eqIfPresent(WxRefundDO::getOutRefundNo, reqVO.getOutRefundNo())
                .eqIfPresent(WxRefundDO::getRefundId, reqVO.getRefundId())
                .eqIfPresent(WxRefundDO::getNotifyStatus, reqVO.getNotifyStatus())
                .betweenIfPresent(WxRefundDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(WxRefundDO::getId));
    }

}